Interface PromptInputEvent
- All Superinterfaces:
VoiceSinchEvent
The request body of a Prompt Input Event.
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic interfaceDedicated Builderstatic classMust have the valuepie. -
Method Summary
Modifier and TypeMethodDescriptionstatic PromptInputEvent.Builderbuilder()Getting builderThe unique application key.A string that can be used to pass custom information related to the call.Get menuResultThe timestamp in UTC format.Methods inherited from interface com.sinch.sdk.domains.voice.models.v1.sinchevents.VoiceSinchEvent
getCallid, getConferenceId, getVersion
-
Method Details
-
getTimestamp
Instant getTimestamp()The timestamp in UTC format.- Returns:
- timestamp
-
getMenuResult
MenuResult getMenuResult()Get menuResult- Returns:
- menuResult
-
getCustom
String getCustom()A string that can be used to pass custom information related to the call.- Returns:
- custom
-
getApplicationKey
String getApplicationKey()The unique application key. You can find it in the Sinch dashboard.- Returns:
- applicationKey
-
builder
Getting builder- Returns:
- New Builder instance
-